
Ruby - Bug #14264

RDoc comment of warn does not mention uplevel:

01/01/2018 03:23 PM - znz (Kazuhiro NISHIYAMA)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5:

UNKNOWN

Description

Kernel#warn support uplevel keyword argument since 2.5.0, but rdoc does not mention it.

https://github.com/ruby/ruby/blob/691b05e83c41d089c4f6c7a8bbac9dd63f36a144/error.c#L309-L325

Associated revisions

Revision 49a23c27deb42ac87f056527c9281ee2e32f8f9e - 01/24/2018 12:03 AM - znz (Kazuhiro NISHIYAMA)

Add documentation for the Kernel#warn :uplevel keyword

[ruby-core:84574] [Bug #14264]

Author:    Jeremy Evans code@jeremyevans.net

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@62018 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 49a23c27 - 01/24/2018 12:03 AM - znz (Kazuhiro NISHIYAMA)

Add documentation for the Kernel#warn :uplevel keyword

[ruby-core:84574] [Bug #14264]

Author:    Jeremy Evans code@jeremyevans.net

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@62018 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 01/10/2018 03:00 AM - jeremyevans0 (Jeremy Evans)

- File 0001-Add-documentation-for-the-Kernel-warn-uplevel-keywor.patch added

Here's a patch that adds documentation of uplevel keyword to Kernel#warn.

#2 - 01/24/2018 12:03 AM - Anonymous

- Status changed from Open to Closed

Applied in changeset trunk|r62018.

Add documentation for the Kernel#warn :uplevel keyword

[ruby-core:84574] [Bug #14264]

Author:    Jeremy Evans code@jeremyevans.net

Files

0001-Add-documentation-for-the-Kernel-warn-uplevel-keywor.patch 965 Bytes 01/10/2018 jeremyevans0 (Jeremy Evans)
